/api/users
Create a new user with the given username, password, avatar, and role (admin only).
POST
/api/usersQuery Parameters
noincl?string
Value in
- "true"
- "false"
Request Body
application/json
Response Body
application/json
application/json
curl -X POST "https://example.com/api/users" \ -H "Content-Type: application/json" \ -d '{ "username": "string", "password": "string" }'{ "id": "string", "username": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "role": "USER", "view": { "enabled": true, "disableTextFiles": true, "align": "left", "showMimetype": true, "showTags": true, "showFolder": true, "content": "string", "embed": true, "embedMediaOnly": true, "embedTitle": "string", "embedDescription": "string", "embedColor": "string", "embedSiteName": "string" }, "quota": { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "filesQuota": "BY_BYTES", "maxBytes": "string", "maxFiles": 0, "maxUrls": 0, "userId": "string" }, "avatar": "string"}